#include <windows.h> // for defs of POINT and RECT

//audio definitions for use by calling program
#define NChannelsIn                1  //mono
#define NChannelsOut               2  //stereo
#define SRateIn                   11025L // sampling rate
#define SRateOut                  11025L
#define BytesPerSampleIn          2
#define BytesPerSampleOut         2

//filterTap definition
typedef struct
 {
 int delay;
 float weight;
 }filterTap;

//viewable structure to hold composite tap weights for synthesis
#define compositeTaps 50
struct compositeFilter
 {
 int totalTaps;
 filterTap tap[compositeTaps];
 };


//prototypes for use by calling program
void spatialize(short *monoIn, short *stereoOut, int numSamples);

void soundscapeUpdate(POINT *sourcePt, POINT *headCenter, RECT *roomModel, int inBufSize);

void soundscapeInit(int inBufSize);

void soundscapeFree();
